.red {
  background: red;
}
.hide {
  display: none !important;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.prodCatForm {
  position: relative;
  /* Flex fields */
  /* checkbox styling */
  /* autofill */
  /* global message */
}
.prodCatForm .preloading {
  visibility: hidden;
  transition: all 300ms;
  border: 7px solid #161616;
  border-top: 7px solid #eccc5f;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 2s linear infinite;
  position: absolute;
  left: 50%;
  margin-left: -30px;
  margin-top: -30px;
  top: 50%;
}
.prodCatForm .preloading.visible {
  visibility: visible;
  transition: all 300ms;
}
.prodCatForm .errors {
  color: red;
  margin-top: 5px;
}
.prodCatForm .is-invalid {
  border-bottom: 1px solid red !important;
}
.prodCatForm .ffields {
  display: flex;
  flex-wrap: wrap;
  margin: -15px;
}
.prodCatForm .ffields .ffield {
  padding: 15px;
}
.prodCatForm .ffields .ffield label {
  font-size: 15px;
  margin-bottom: 0;
}
.prodCatForm select {
  line-height: 40px;
  height: 48px;
  margin: 0;
  padding: 0;
  /*background: none !important;*/
  box-shadow: none;
}
.prodCatForm .form-control {
  margin-bottom: 0;
}
.prodCatForm .terms-checkbox {
  position: relative;
}
.prodCatForm .terms-checkbox .invalid-feedback {
  display: none;
}
.prodCatForm .terms-checkbox input[type="checkbox"]:checked + label:after {
  opacity: 1;
}
.prodCatForm .terms-checkbox input[type="checkbox"] {
  visibility: hidden;
  height: 0;
  width: 0;
  opacity: 0;
  position: absolute;
  z-index: -1;
}
.prodCatForm .terms-checkbox input[type="checkbox"].is-invalid + label:before {
  border: 2px solid #eccc5f;
}
.prodCatForm .terms-checkbox label:before {
  background: none repeat scroll 0 0 transparent;
  border: 2px solid #eccc5f;
  cursor: pointer;
  height: 21px;
  left: 0;
  position: absolute;
  top: 0;
  width: 21px;
  content: "";
  z-index: 2;
}
.prodCatForm .terms-checkbox input[type=checkbox]:checked + label::before {
  background: none repeat scroll 0 0 #eccc5f;
}
.prodCatForm .terms-checkbox input[type=checkbox].is-invalid + label::before {
  border: 2px solid red;
}
.prodCatForm .terms-checkbox label:after {
  border-style: none none solid solid;
  content: "";
  height: 6px;
  left: 6px;
  border-color: white;
  opacity: 0;
  position: absolute;
  top: 7px;
  -ms-transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  width: 10px;
  z-index: 40;
}
.prodCatForm .terms-checkbox label {
  padding-left: 30px;
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Old versions of Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently
			                                  supported by Chrome, Edge, Opera and Firefox */
  margin-bottom: 10px;
  padding-top: 3px;
}
.prodCatForm input:-webkit-autofill,
.prodCatForm input:-webkit-autofill:hover,
.prodCatForm input:-webkit-autofill:focus,
.prodCatForm textarea:-webkit-autofill,
.prodCatForm textarea:-webkit-autofill:hover,
.prodCatForm textarea:-webkit-autofill:focus,
.prodCatForm select:-webkit-autofill,
.prodCatForm select:-webkit-autofill:hover,
.prodCatForm select:-webkit-autofill:focus,
.prodCatForm input:focus,
.prodCatForm textarea:focus {
  -webkit-text-fill-color: #161616;
  -webkit-box-shadow: 0 0 0px 0 white inset;
  transition: background-color 5000s ease-in-out 0s;
  color: #161616;
}
.prodCatForm .global-message,
.prodCatForm .validationOutput,
.prodCatForm .validationout {
  color: red;
}
.prodCatForm .multi_file_dragdrop_fielder .main-label,
.prodCatForm .single_file_dragdrop_fielder .main-label {
  font-weight: bold;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-area,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-area {
  position: relative;
  background: #eeeeee;
  padding: 15px;
  color: white;
  text-align: center;
  border: 2px dashed #6d8bb0;
  border-radius: 10px;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-area span,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-area span {
  color: black;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-area input[type="file"],
.prodCatForm .single_file_dragdrop_fielder .drgdrop-area input[type="file"] {
  width: 103px;
  display: block;
  margin: auto;
  margin-top: 10px;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-area .ondrag-over,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-area .ondrag-over {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
  background: #6d8bb0;
  top: 0;
  left: 0;
  content: '';
  display: none;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-area .ondrag-over i,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-area .ondrag-over i {
  position: absolute;
  top: 50%;
  left: 50%;
  color: white;
  width: 30px;
  height: 30px;
  font-size: 31px;
  transform: translate(-50%, -50%);
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner {
  padding: 10px;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item {
  padding: 5px;
  user-select: none;
  position: relative;
  display: inline-block;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker:before,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker:before {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
  background: black;
  opacity: 0.45;
  top: 0;
  left: 0;
  content: '';
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker .filename,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker .filename {
  position: absolute;
  top: 5px;
  left: 5px;
  max-width: 90%;
  line-height: 20px;
  height: 20px;
  overflow: hidden;
  z-index: 3;
  color: white;
  font-size: 10px;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker .filesize,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .blocker .filesize {
  position: absolute;
  bottom: 5px;
  left: 5px;
  max-width: 70px;
  height: 20px;
  overflow: hidden;
  z-index: 3;
  color: white;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .progressBar,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .progressBar {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  background: #6d8bb0;
  transition: all 50ms;
  -webkit-transition: all 50ms;
  -moz-transition: all 50ms;
  z-index: 2;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .lder,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .lder {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
  background: #eee;
  top: 0;
  left: 0;
  display: none;
  content: '';
  /*.spin {
							position:absolute;
							top: 50%;
							left:50%;
							border: 5px solid gray;
							border-top: 5px solid #3498db;
							border-radius: 50%;
							width: 30px;
							height: 30px;
							animation: spin 2s linear infinite;
							margin-left: -15px;
							margin-top: -15px;
						}*/
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .invalid,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .invalid {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 3;
  background: #ea4444;
  top: 0;
  left: 0;
  display: none;
  content: '';
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .invalid .in,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .invalid .in {
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
  transform: translate(-50%, -50%);
  width: inherit;
  padding: 10px;
  color: white;
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .invalid .in i,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .invalid .in i {
  display: block;
  padding-bottom: 5px;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.prodCatForm .multi_file_dragdrop_fielder .drgdrop-items .inner .file-item .dragdrop-close-button,
.prodCatForm .single_file_dragdrop_fielder .drgdrop-items .inner .file-item .dragdrop-close-button {
  -webkit-box-shadow: 0px 0px 28px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 28px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 28px 0px rgba(0, 0, 0, 0.75);
  background: var(--bs-primary);
  border-radius: 100%;
  color: white;
  border: 0px solid;
  height: 30px;
  width: 30px;
  line-height: 30px;
  position: absolute;
  top: 0;
  right: 0;
  z-index: 8;
}
.switch input[type=checkbox] {
  height: 0;
  width: 0;
  visibility: hidden;
}
.switch label {
  cursor: pointer;
  text-indent: -9999px;
  width: 40px;
  height: 20px;
  background: grey;
  display: block;
  border-radius: 100px;
  position: relative;
}
.switch label:after {
  content: '';
  position: absolute;
  top: 2px;
  left: 2px;
  width: 16px;
  height: 16px;
  background: #fff;
  border-radius: 90px;
  transition: 0.3s;
}
.switch input:checked + label {
  background: #bada55;
}
.switch input:checked + label:after {
  left: calc(95%);
  transform: translateX(-100%);
}
.switch label:active:after {
  width: 15px;
}
.cke_dialog_contents select {
  display: block;
}
.cke_dialog_contents select:focus,
.cke_dialog_contents select:hover {
  background-image: none;
}
